]> rtime.felk.cvut.cz Git - coffee/buildroot.git/commitdiff
samba: bump version
authorSven Neumann <s.neumann@raumfeld.com>
Mon, 4 May 2009 19:01:25 +0000 (21:01 +0200)
committerPeter Korsgaard <jacmet@sunsite.dk>
Mon, 4 May 2009 19:01:25 +0000 (21:01 +0200)
Closes #293.

[peter: bump to 3.3.4]

Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
package/samba/samba-add-check-for-__use_bsd.patch
package/samba/samba-do-not-check-glibc-version.patch
package/samba/samba-fix-mount.cifs.patch
package/samba/samba-getgrouplist.patch
package/samba/samba.mk

index df84a713ec3dedd008eaa7b64f7ad618109150f1..a4c7109cf0d3cbfb24d7b9e27efba02901d3df10 100644 (file)
@@ -1,6 +1,6 @@
---- a/source/client/mount.cifs.c
-+++ b/source/client/mount.cifs.c
-@@ -96,6 +96,7 @@ char * prefixpath = NULL;
+--- a/source/client/mount.cifs.c       2009-04-01 13:48:54.000000000 +0200
++++ b/source/client/mount.cifs.c       2009-04-20 12:59:57.000000000 +0200
+@@ -100,6 +100,7 @@
  
  /* glibc doesn't have strlcpy, strlcat. Ensure we do. JRA. We
   * don't link to libreplace so need them here. */
@@ -8,7 +8,7 @@
  
  /* like strncpy but does not 0 fill the buffer and always null
   *    terminates. bufsize is the size of the destination buffer */
-@@ -177,6 +178,7 @@ static void mount_cifs_usage(void)
+@@ -181,6 +182,7 @@
        SAFE_FREE(mountpassword);
        exit(EX_USAGE);
  }
index ddb116bcaee738d7744838574cba636995c2438f..c5e3cd4781ceeb509d97380b13d98928474ba4cc 100644 (file)
@@ -1,6 +1,6 @@
---- a/source/configure
-+++ b/source/configure
-@@ -41016,85 +41016,8 @@ fi
+--- a/source/configure 2009-04-01 14:19:36.000000000 +0200
++++ b/source/configure 2009-04-20 13:05:12.000000000 +0200
+@@ -44061,90 +44061,8 @@
  
  rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  
 -    *linux*)
 -       # glibc <= 2.3.2 has a broken getgrouplist
 -       if test "$cross_compiling" = yes; then
--  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-  { { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
+-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+-{ { $as_echo "$as_me:$LINENO: error: cannot run test program while cross compiling
 -See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
+-$as_echo "$as_me: error: cannot run test program while cross compiling
 -See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
+-   { (exit 1); exit 1; }; }; }
 -else
 -  cat >conftest.$ac_ext <<_ACEOF
 -/* confdefs.h.  */
 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 -  *) ac_try_echo=$ac_try;;
 -esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+-$as_echo "$ac_try_echo") >&5
 -  (eval "$ac_link") 2>&5
 -  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
 -  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
 -  { (case "(($ac_try" in
 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 -  *) ac_try_echo=$ac_try;;
 -esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+-$as_echo "$ac_try_echo") >&5
 -  (eval "$ac_try") 2>&5
 -  ac_status=$?
--  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
 -  (exit $ac_status); }; }; then
 -  linux_getgrouplist_ok=yes
 -else
--  echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
+-  $as_echo "$as_me: program exited with status $ac_status" >&5
+-$as_echo "$as_me: failed program was:" >&5
 -sed 's/^/| /' conftest.$ac_ext >&5
 -
 -( exit $ac_status )
 -linux_getgrouplist_ok=no
 -fi
+-rm -rf conftest.dSYM
 -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 -fi
 -
@@ -88,7 +93,7 @@
  
  for ac_func in getgrouplist
  do
-@@ -41189,8 +41112,6 @@ _ACEOF
+@@ -44246,8 +44164,6 @@
  fi
  done
  
index dcb30ebec6fc621c56e7d5767db2a70f96cb80f9..90bff234c9bfad5031b25ae1cce3b0c37d347cd6 100644 (file)
@@ -1,27 +1,5 @@
 --- a/source/client/mount.cifs.c
 +++ b/source/client/mount.cifs.c
-@@ -16,6 +16,10 @@
-    You should have received a copy of the GNU General Public License
-    along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
-+#ifdef _SAMBA_BUILD_
-+#include "include/config.h"
-+#endif
-+
- #ifndef _GNU_SOURCE
- #define _GNU_SOURCE
- #endif
-@@ -57,10 +61,6 @@
-  #endif /* _SAMBA_BUILD_ */
- #endif /* MOUNT_CIFS_VENDOR_SUFFIX */
--#ifdef _SAMBA_BUILD_
--#include "include/config.h"
--#endif
--
- #ifndef MS_MOVE 
- #define MS_MOVE 8192 
- #endif 
 @@ -138,6 +138,7 @@ static size_t strlcat(char *d, const cha
        return ret;
  }
index 8c1e3afca3e4363ceb537f06be3b0674401e7036..e98d9cdc27870bf18f214599cb8db97e242d02ac 100644 (file)
@@ -1,6 +1,6 @@
---- a/source/configure.in
-+++ b/source/configure.in
-@@ -1199,38 +1199,6 @@ AC_TRY_COMPILE([
+--- a/source/configure.in      2009-04-01 13:48:54.000000000 +0200
++++ b/source/configure.in      2009-04-20 13:08:42.000000000 +0200
+@@ -1219,38 +1219,6 @@
  AC_DEFINE(HAVE_PRCTL, 1, [Whether prctl is available]),[])
  
  #
index beac484f9a526aea79be646284984ea0f6367325..45e9938cf6dac79d781d87490822795d0a68ebd8 100644 (file)
@@ -3,7 +3,7 @@
 # samba
 #
 #############################################################
-SAMBA_VERSION:=3.2.7
+SAMBA_VERSION:=3.3.4
 SAMBA_SOURCE:=samba-$(SAMBA_VERSION).tar.gz
 SAMBA_SITE:=http://samba.org/samba/ftp/stable/
 SAMBA_DIR:=$(BUILD_DIR)/samba-$(SAMBA_VERSION)/source